kurteev

Релиз стабильной версии Joomla 3.6.2

Joomla 3.6.2 Stable

Вышла стабильная версия Joomla 3.6.2. Данная версия исправляет ошибки сессии и маскировки email для версии 3.6.1.

Скачать Joomla! 3.6.2 c GitHub

Исправления в Joomla! 3.6.2?

Напомним, что в версии Joomla 3.6.1 были исправлены ошибки связанные с безопасностью сайта, поэтому версия Joomla 3.6.2 является обязательной для обновления:

  • Средний приоритет безопасности - Core - CSRF. Подробнее.
  • Низкий приоритет безопасности - Core - ACL. Подробнее.
  • Низкий приоритет безопасности - Core - XSS уязвимости. Подробнее.

Полный список всех нововведений можно посмотреть в GitHub Repository. Ваши замечания и ошибки можно отправлять на Joomla! Issue Tracker.

Технические требования для Joomla 3.6

Обращаем внимание, что минимальные требования для Joomla 3.6 — версия PHP 5.3.10, рекомендуемые же версии — 5.6 или 7.0+.

Как улучшить Joomla?

Если вы хотите улучшить Joomla! и обезопасить себя и других от подобных релизов с багами, которые были в версиях Joomla 3.6.0 и 3.6.1, то вы можете сделать следующее:

  • Повлиять на развитие Joomla! 3.6 и дальнейших версий, для этого необходимо заполнить небольшую форму: Joomla! 3.6: мы хотим узнать ваше мнение
  • Найденные ошибки в работе системы репортить на баг-трекер по адресу https://github.com/joomla/joomla-cms/issues
  • Предлагать свои варианты решения тех или иных проблем или найденых багов через пулы по адресу https://github.com/joomla/joomla-cms/pulls
  • Быть активным участником сообщества и тестировать предварительные версии, такие как: альфа, бета, релиз кандидаты.

Давайте вместе сделаем Joomla! еще лучше!

Это интересно:

Комментарии  

Ренат
+2 # Ренат 05.08.2016 08:02
Все та же проблема с обновлением, пишет "Ошибка загрузки пакета обновления", хотя компонент обновления был также обновлен
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ренат
-1 # Ренат 05.08.2016 08:08
помогло обновление вручную путем скачивания пакета и установки его через вкладку загрузить или обновить
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ренат
-2 # Ренат 05.08.2016 08:49
В общем не знаю, что произошло но у меня все ссылки стали не рабочими, потому что в каждой ссылке стали добавляться языковые направления то есть в конце стало появляться или /ru или /en. Как это можно исправить?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ренат
-2 # Ренат 05.08.2016 09:03
Проблема оказалось дело в SEF, но если его отключить то ссылки будут непрезентабельные
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Pavel
0 # Pavel 05.08.2016 11:16
Это скорее к автору плагина
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дмитрий Семин
0 # Дмитрий Семин 05.08.2016 15:21
При попытке обновления с 3.6.1 на 3.6.2 после автоматического создания резервной копии через com_akeeba
возникает сообщение на белом экране
Последний запрос был отклонён, поскольку он содержит неправильный параметр безопасности (security token). Пожалуйста, обновите страницу и попробуйте ещё раз.
у кого такое воспроизводится?
есть решение?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Vlad
0 # Vlad 05.08.2016 22:53
Просто закройте страницу и зайдите в админку заново.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Aleks Pokas
0 # Aleks Pokas 07.08.2016 07:55
После перехода, на 3.6.2 выбрасывает из админ панели на Mozilla, Chrome невозможно заново зайти, при попытке зайти лишь обновляется страница авторизации (временный костыль это удалить все куки с браузера). На Edge работает но при сохранении товара выбрасывает на начальную страницу панели управления. Перемудрили с безопасностью даже с правильным кодом зайти нельзя!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей
-114 # Андрей 07.08.2016 12:23
Предложения по улучшению принимаются на английском, по ссылке форум, который трудно понять даже через переводчик(
Хотелось бы, чтобы в будущем починили корректное отображение количества просмотров материала в админке, так как оно не соответствует действительности. Они в разы занижены, судя по статистике лайфинтернета. Иной раз лайков под новостью больше, чем количество просмотров в админке.
Это очень важно, знать, сколько человек просмотрели новость определенного автора и содержания.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алексей
0 # Алексей 11.08.2016 11:23
Начиная с версии 3.6.0 и в последующих версиях Joomla, если ставить движок с нуля, то в форме входа администратора сайта стоит английский язык, даже если по умолчанию назначен другой, например РУССКИЙ. Приходится постоянно выбирать в ручную необходимый язык. Дело не в кэше, видел на форуме обсуждение. Дело в том, что во вкладке "Расширения / менеджер языков / языки контента" отсутствуют другие языки, кроме английского. Хотя например РУССКИЙ назначен по умолчанию.

Этой проблемы нет, если поставить более раннюю версию Joomla, настроить языки и обновиться до последней версии движка.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей
0 # Андрей 13.08.2016 10:26
Никак не хочет обновляться с 3.6.0 до 3.6.2, уже как только не произносил "ку", как только не приседал похлопывая себя по филейным местам, пишет "Ошибка загрузки пакета обновления", а если пытаться загружать и обновлять через вкладку "Загрузить и обновить", то вылетает в Контрольную панель. Прям хоть через командер заходи и ложи сверху файлы пакета обновления на весь сайт по старинке
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алексей
+1 # Алексей 13.08.2016 13:29
Андрей! Тоже долго думал как обновить. Значит так у меня получилось:
1. Обновите сначала расширение обновления Joomla. Не помню как называется, что-то со словом Joomla Updete.
2. Скачайте архив пакета обновления.
3. Самое важное! Установите скачанный пакет НЕ ЧЕРЕЗ МЕНЕДЖЕР РАСШИРЕНИЙ, а через Компоненты/Обновление Joomla. Там появилась вкладка Upload & Update. Так вот у меня поставилось обновление только через неё!!!!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алексей
0 # Алексей 13.08.2016 13:31
Цитирую Алексей:
Андрей! Тоже долго думал как обновить. Значит так у меня получилось:
1. Обновите сначала расширение обновления Joomla. Не помню как называется, что-то со словом Joomla Updete.
2. Скачайте архив пакета обновления.
3. Самое важное! Установите скачанный пакет НЕ ЧЕРЕЗ МЕНЕДЖЕР РАСШИРЕНИЙ, а через Компоненты/Обновление Joomla. Там появилась вкладка Upload & Update. Так вот у меня поставилось обновление только через неё!!!!

В пункте 2 речь идет об архиве Joomla!!!!!!
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алексей
0 # Алексей 13.08.2016 14:15
Цитирую Алексей:
Цитирую Алексей:
Андрей! Тоже долго думал как обновить. Значит так у меня получилось:
1. Обновите сначала расширение обновления Joomla. Не помню как называется, что-то со словом Joomla Updete.
2. Скачайте архив пакета обновления.
3. Самое важное! Установите скачанный пакет НЕ ЧЕРЕЗ МЕНЕДЖЕР РАСШИРЕНИЙ, а через Компоненты/Обновление Joomla. Там появилась вкладка Upload & Update. Так вот у меня поставилось обновление только через неё!!!!

В пункте 2 речь идет об архиве Joomla!!!!!!

Еще при установке тебя попросит ввести повторно ЛОГИН и ПАРОЛЬ от админки - это для подтверждения твоих действий по обновлению.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Vlad
0 # Vlad 13.08.2016 14:59
Проверьте что из модулей php стоит на сервере. Оно ошибку не показывает, но если чего-то не хватает, то выдает "Ошибку загрузки пакета обновления". На форуме есть пост со списком модулей в рабочей конфигурации.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей
0 # Андрей 14.08.2016 11:17
Цитирую Vlad:
Проверьте что из модулей php стоит на сервере. Оно ошибку не показывает, но если чего-то не хватает, то выдает "Ошибку загрузки пакета обновления". На форуме есть пост со списком модулей в рабочей конфигурации.

Это сильный ответ! А не дадите где и на каком форуме эта информация указана, я легко бы такое поправил поскольку свой виртуальный сервер конфигурировал и администрирую сам
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Vlad
0 # Vlad 14.08.2016 14:22
Конечно дам - мышкой вверх, еще выше, еще, вооот. Ссылочка Форум :) Тема по релизу безопасности 3.6.0-3.6.2. Вот вам и прямая ссылка joomlaforum.ru/.../...
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей
0 # Андрей 13.08.2016 14:30
Конечно же я это сделал, вообще обновил все, что просилось, не только пакет компонента обновления Джумлы, но и все сторонние приблуды. я ведь предварительно прочитал обсуждения по пакетам обновлений от 3.6.0 до 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Ренат
0 # Ренат 15.08.2016 08:16
Обратил внимание, что после последнего обновления стали проходит регистрацию боты, раньше такого не было. Видимо брешь в безопасности все-таки есть
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Polosatyi
0 # Polosatyi 20.08.2016 20:36
Ну то есть лучше вообще не обновляться с 3.6.0 до 3.6.1 и 3.6.2
К
Будем считать 3.6.0 самой успешной и стабильной версией на август месяц 2016 года.
А обновляльщики версий пусть придумают пакеты, которые устанавливаются нормально, без шаманских плясок с бубнами и без прорех с безопасностью, иначе не вижу ни малейшего смысла в этих обновлениях до 3.6.1 и 3.6.2
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Aza
+1 # Aza 22.08.2016 14:47
Ребята ХЕЛП! Как обновиться с 3.4.8 до 3.6.2 ? Не когда не обновлял. В панели не обновляется пишет ajax error. Резервную копию создал. Обновляться сразу или надо постепенно объясните.

Инфо о системе.

Версия базы данных 5.5.47-MariaDB
Кодировка базы данных utf8_general_ci
Версия PHP 5.5.38
Веб-сервер Apache
Интерфейс между веб-сервером и PHP cgi-fcgi
Версия Joomla! Joomla! 3.4.8 Stable [ Ember ] 24-December-2015 19:30 GMT
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Вадим Куницын
0 # Вадим Куницын 22.08.2016 15:47
Если не работает авто-апдейт то можете вот такой инструкцией: joomlaportal.ru/.../... до 3.5 воспользоваться дальше должно нормально пойти обновлсять без всяких костылей.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дмитрий Семин
0 # Дмитрий Семин 22.08.2016 16:27
Выше я писал, что возникала ошибка security token при обновлении с 3.6.0 на 3.6.2 и данный тут совет закрыть страницу и снова войти в админку не помогал.
Обновился следующим образом
github.com/.../3.6.2 - тут скачал патч с именем Joomla_3.6.x_to_3.6.2-Stable-Patch_Package.zip
закачал в корень сайта, распаковал.
в админке Менеджер расширений: Проверка базы данных нажал кнопку Исправить
и все получилось.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Алексей Миронов
0 # Алексей Миронов 23.08.2016 18:08
Спасибо огромное, это помогло :lol:
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
виктор
0 # виктор 25.08.2016 14:19
посмотрите базу че за косяки ?
ставлю обновления на 3.6 и меняет кодировку почти всех таблиц с utf8_general_ci на utf8_unicode_ci
и начинаются танцы с бубном в одном из приложений - типа of collations (utf8_unicode_ci,IMPLICIT ) and (utf8_general_ci,IMPLICIT )
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
виктор
0 # виктор 25.08.2016 14:22
больше интересует с какого кодировку таблиц меняет?
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Андрей
-1 # Андрей 07.09.2016 21:11
Помогите пожалуйста с советом.
Обновил в ручном режиме на 3.6.2 вроде все нормально, но при переходе в Менеджер расширений: Установка
Нет ни одной вкладки - Загрузить файл пакета, Установить из каталога, Установить из URL
Подскажите, что нужно сделать чтобы вернуть вкладки.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Дима
0 # Дима 27.09.2016 16:12
Всех, кто только издевается над коллегами - теми, кто послабее, прошу не отвечать. а кто может и хочет - ответьте! Кроме ОДНОГО встроеного стандартного шаблона кому-то удалось без проблем не только установть, но и активировать хоть еще один шаблон. Если да, поделитесь опытом - в стиле "для чайников".
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Константин
0 # Константин 27.11.2016 00:20
Цитирую Дима:
Всех, кто только издевается над коллегами - теми, кто послабее, прошу не отвечать. а кто может и хочет - ответьте! Кроме ОДНОГО встроеного стандартного шаблона кому-то удалось без проблем не только установть, но и активировать хоть еще один шаблон. Если да, поделитесь опытом - в стиле "для чайников".

Подскажи в чем решение? шаблоны устанавливаются, но больше не назначаются конкретным пунктам меню
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору
Анатолий
0 # Анатолий 29.09.2016 09:20
Ура товарищи!! обновился с 3.4.8 сразу до 3.6.0 а потом до 3.6.2.
Было куча мелких проблем, что заметил, нужно почаще подчищать кеш и исправлять базу. Ах да, еще при переходе с 3.4.8 на 3.6.0 я переключил на хостинге PHP 7, после этого все заработало, НО перестали открываться материалы. Далее обратно переключил PHP на 5.6 все начало работать. Проверил все разделы админки и сайта работают, но только плагины некоторые пришлось включить вручную. Единственное, где добавился новый функционал остался английский язык, но это не проблема - достаточно обновить файл языка.
Ответить | Ответить с цитатой | Цитировать | Сообщить модератору

Добавить комментарий

Обновить
Защитный код

Joomla!® CMS — пожалуй, лучшая система управления контентом с открытым исходным кодом

Joomla! — это больше, чем просто программное обеспечение, это люди, включающие разработчиков, дизайнеров, системных администраторов, переводчиков, копирайтеров, и, что самое главное — простых пользователей.

Мы рады пригласить вас в ряды нашего сообщества!

Скачать Joomla! 3 Документация Joomla! CMS Свернуть

Новости портала

Новое в блогах

Видео